<?php

namespace Webkul\DamBundle\Entity;

/**
 * AssetMedia
 */
class AssetMedia
{
    /**
     * @var integer
     */
    private $id;

    /**
     * @var string
     */
    private $filePath;

    /**
     * @var string
     */
    private $originalFilename;

    /**
     * @var \Webkul\DamBundle\Entity\Asset
     */
    private $asset;

    /**
     * @var \Pim\Bundle\CatalogBundle\Entity\Locale
     */
    private $locale;


    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set filePath
     *
     * @param string $filePath
     *
     * @return AssetMedia
     */
    public function setFilePath($filePath)
    {
        $this->filePath = $filePath;

        return $this;
    }

    /**
     * Get filePath
     *
     * @return string
     */
    public function getFilePath()
    {
        return $this->filePath;
    }

    /**
     * Set originalFilename
     *
     * @param string $originalFilename
     *
     * @return AssetMedia
     */
    public function setOriginalFilename($originalFilename)
    {
        $this->originalFilename = $originalFilename;

        return $this;
    }

    /**
     * Get originalFilename
     *
     * @return string
     */
    public function getOriginalFilename()
    {
        return $this->originalFilename;
    }

    /**
     * Set asset
     *
     * @param \Webkul\DamBundle\Entity\Asset $asset
     *
     * @return AssetMedia
     */
    public function setAsset(\Webkul\DamBundle\Entity\Asset $asset = null)
    {
        $this->asset = $asset;

        return $this;
    }

    /**
     * Get asset
     *
     * @return \Webkul\DamBundle\Entity\Asset
     */
    public function getAsset()
    {
        return $this->asset;
    }

    /**
     * Set locale
     *
     * @param \Pim\Bundle\CatalogBundle\Entity\Locale $locale
     *
     * @return AssetMedia
     */
    public function setLocale(\Locale $locale = null)
    {
        $this->locale = $locale;

        return $this;
    }

    /**
     * Get locale
     *
     * @return \Pim\Bundle\CatalogBundle\Entity\Locale
     */
    public function getLocale()
    {
        return $this->locale;
    }
}
